<%
/***********************************************************************************
	Генератор фотогаллереи,
	Вся фотогаллерея получается в результате работы ОДНОГО (этого) файла
	+ несколько Java-скриптов от FancyBox

	Для указания порядка сортировки создаётся в текущей папке файл _sortby.txt
	Для замены выводимого имени файла/папки создаётся файл _desc.txt

	Все права защищены (С) 2005-2013 Wohlnet.RU
***********************************************************************************/

require_once("index.options.php");

/***********************************************************************************
Функция img_resize(): генерация thumbnails
Параметры:
  $src             - имя исходного файла
  $dest            - имя генерируемого файла
  $width, $height  - ширина и высота генерируемого изображения, в пикселях
Необязательные параметры:
  $rgb             - цвет фона, по умолчанию - белый
  $quality         - качество генерируемого JPEG, по умолчанию - максимальное (100)
***********************************************************************************/
if((isset($_GET['old']))&&(isset($_GET['new']))&&($_SERVER['REMOTE_ADDR']==$AdminIp))
{
rename(utf2fs($_GET['old']), utf2fs($_GET['new']));
}

if((isset($_GET['delfile']))&&($_SERVER['REMOTE_ADDR']==$AdminIp))
{
unlink(utf2fs($_GET['delfile']));
}

//Функция приведения кодировки имён файлов от исходной кодировки к UTF-8
function fs2utf($fname)
{
global $FSCharset;
if($FSCharset=="utf-8")
return $fname;
else
return iconv($FSCharset,"utf-8",$fname);
}

//Функция приведения кодировки имён файлов от utf-8 к их исходной кодировке
function utf2fs($fname)
{
global $FSCharset;
if($FSCharset=="utf-8")
return $fname;
else
return iconv("utf-8",$FSCharset,$fname);
}


function renameform($filename, $AdminIp)
{
if($_SERVER['REMOTE_ADDR']==$AdminIp)
{
return "<form method=\"get\" action=\".\">\n Переименовать файл<br><input name=\"old\" type=\"hidden\" value=\"".
$filename."\" />\n<input name=\"new\" type=\"text\" style=\"width: 304px; height: 22px\" value=\"".
$filename."\" />\n<br>\n<input name=\"Button1\" type=\"submit\" value=\"Переименовать\" style=\"height: 18px; width: 105px\">\n</form>".
"<br><form method=\"get\">".
"<input name=\"delfile\" type=\"hidden\" value=\"".$filename."\" />".
"<input type=\"submit\" value=\"Удалить\" style=\"height: 18px; width: 105px\">".
"</form>";
}
else return "";
}

function img_resize($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  // Определяем исходный формат по MIME-информации, предоставленной
  // функцией getimagesize, и выбираем соответствующую формату
  // imagecreatefrom-функцию.
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;
  
  if (($width==80)&&($size[0]<80)&&($size[1]<80))
	{
	$width = $size[0];
	}
	
  $height = ($width * $size[1]) / $size[0];

  if (($width==80)&&($height > 80))
  {
  $height = 80;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }

  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];

  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);

  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);

  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);

  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);

  imagejpeg($idest, $dest, $quality);

  imagedestroy($isrc);
  imagedestroy($idest);

  return true;

}

function img_resize_gif($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;  

  if (($width==140)&&($size[0]<=140)&&($size[1]<=140))
	{
	$width = $size[0];
	}

  if (($width==80)&&($size[0]<=80)&&($size[1]<=80))
	{
	$width = $size[0];
	if (($size[0]<=80)&&($size[1]<=80))
	{
		$width = $size[0];
		copy($src, $dest);
		return true;
	}
	}

  $height = ($width * $size[1]) / $size[0];

  if (($width==80)&&($height > 80))
  {
  $height = 80;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }

  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];

  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);

  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);

  $isrc = $icfunc($src);
  $idest = imagecreate($width, $height);

  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagegif($idest, $dest);
  imagedestroy($isrc);
  imagedestroy($idest);

  return true;

}

function img_resize_png($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;

  $size = getimagesize($src);

  if ($size === false) return false;

  // Определяем исходный формат по MIME-информации, предоставленной
  // функцией getimagesize, и выбираем соответствующую формату
  // imagecreatefrom-функцию.
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;
  
  if (($width==80)&&($size[0]<140)&&($size[1]<140))
	{
	$width = $size[0];
	}
	
  $height = ($width * $size[1]) / $size[0];

  if (($width==80)&&($height > 80))
  {
  $height = 80;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }

  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];

  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);

  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);

  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);

  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);

  imagepng($idest, $dest);

  imagedestroy($isrc);
  imagedestroy($idest);

  return true;

}

function img_resize_1280($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;
  if (($size[0]<1280)&&($size[1]<1024))
	{
	$width = $size[0];
	}
  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 1024)
  {
  $height = 1024;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagejpeg($idest, $dest, $quality);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_1280_gif($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;
  if (($size[0]<1280)&&($size[1]<1024))
	{
	$width = $size[0];
	}
  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 1024)
  {
  $height = 1024;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreate($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagegif($idest, $dest);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_1280_png($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;
  if (($size[0]<1280)&&($size[1]<1024))
	{
	$width = $size[0];
	}
  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 1024)
  {
  $height = 1024;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagepng($idest, $dest);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_140($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;  
  if (($size[0]<=140)&&($size[1]<=140))
	{
	$width = $size[0];
	}

  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 140)
  {
  $height = 140;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagejpeg($idest, $dest, $quality);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_140_gif($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;  

  if (($size[0]<=140)&&($size[1]<=140))
	{
	$width = $size[0];
	copy($src, $dest);
	return true;
	}
  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 140)
  {
  $height = 140;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreate($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagegif($idest, $dest);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_140_png($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;  
  if (($size[0]<140)&&($size[1]<140))
	{
	$width = $size[0];
	}
  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 140)
  {
  $height = 140;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagepng($idest, $dest);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_100($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;  
  if (($size[0]<=100)&&($size[1]<=100))
	{
	$width = $size[0];
	}

  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 100)
  {
  $height = 100;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagejpeg($idest, $dest, $quality);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_100_gif($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;  

  if (($size[0]<=100)&&($size[1]<=100))
	{
	$width = $size[0];
	copy($src, $dest);
	return true;
	}
  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 100)
  {
  $height = 100;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreate($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagegif($idest, $dest);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}

function img_resize_100_png($src, $dest, $width, $rgb=0xFFFFFF, $quality=100)
{
  if (!file_exists($src)) return false;
  $size = getimagesize($src);
  if ($size === false) return false;
  $format = strtolower(substr($size['mime'], strpos($size['mime'], '/')+1));
  $icfunc = "imagecreatefrom" . $format;
  if (!function_exists($icfunc)) return false;  
  if (($size[0]<100)&&($size[1]<100))
	{
	$width = $size[0];
	}
  $height = ($width * $size[1]) / $size[0];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  if ($height > 100)
  {
  $height = 100;
  $width = ($height * $size[0]) / $size[1];
  $x_ratio = $width / $size[0];
  $y_ratio = $height / $size[1];
  }
  $ratio       = min($x_ratio, $y_ratio);
  $use_x_ratio = ($x_ratio == $ratio);
  $new_width   = $use_x_ratio  ? $width  : floor($size[0] * $ratio);
  $new_height  = !$use_x_ratio ? $height : floor($size[1] * $ratio);
  $new_left    = $use_x_ratio  ? 0 : floor(($width - $new_width) / 2);
  $new_top     = !$use_x_ratio ? 0 : floor(($height - $new_height) / 2);
  $isrc = $icfunc($src);
  $idest = imagecreatetruecolor($width, $height);
  imagefill($idest, 0, 0, $rgb);
  imagecopyresampled($idest, $isrc, $new_left, $new_top, 0, 0, 
    $new_width, $new_height, $size[0], $size[1]);
  imagepng($idest, $dest);
  imagedestroy($isrc);
  imagedestroy($idest);
  return true;
}



function is_hidden_file($fn) {
}
if(!file_exists("_Thumbs"))
{ mkdir("_Thumbs"); }

if(file_exists("_desc.txt"))
{
	$data = file_get_contents("_desc.txt");
	$filedescription = explode("\r\n", $data);
}
else
{
$filedescription = "none";
}

if(file_exists("_sortby.txt"))
{
	$sortfilesby = file_get_contents("_sortby.txt");
	$sortfby = explode("\r\n", $sortfilesby);
}
else
{
$sortfby[0] = "date";
$sortfby[1] = "desc";
}

%>
<!DOCTYPE html>
<html>
<head>
<style>
body
{
	font-style:normal;
	font-variant:normal;
	font-weight:normal;
	line-height:1.2em;
	font-size:small;
	font-family:arial, helvetica, clean, sans-serif;
	background-image:url('<%echo $ImgBackground;%>');
	background-repeat: no-repeat;
	background-attachment:fixed;
	background-position: right bottom;
}
</style>
<title><%echo ( ($_SERVER['REQUEST_URI']==$Photosfolder) ? $PageTitle : urldecode(basename($_SERVER['REQUEST_URI'])));%></title>
<script type="text/javascript" src="<%echo $Photosfolder;%>js/jquery-1.9.0.min.js"></script>
<script type="text/javascript" src="<%echo $Photosfolder;%>js/jquery.mousewheel-3.0.6.pack.js"></script>

<link rel="stylesheet" type="text/css" href="<%echo $Photosfolder;%>js/jquery.fancybox.css?v=2.1.4" media="screen" />
<script type="text/javascript" src="<%echo $Photosfolder;%>js/jquery.fancybox.pack.js?v=2.1.4"></script>

<link rel="stylesheet" type="text/css" href="<%echo $Photosfolder;%>js/jquery.fancybox-buttons.css?v=1.0.5"/>
<script type="text/javascript" src="<%echo $Photosfolder;%>js/jquery.fancybox-buttons.js?v=1.0.5"></script>
<script type="text/javascript" src="<%echo $Photosfolder;%>js/jquery.fancybox-media.js?v=1.0.5"></script>

<link rel="stylesheet" type="text/css" href="<%echo $Photosfolder;%>js/jquery.fancybox-thumbs.css?v=1.0.7" />
<script type="text/javascript" src="<%echo $Photosfolder;%>js/jquery.fancybox-thumbs.js?v=1.0.7"></script>


<script type="text/javascript">
	$(document).ready(function() {
				$(".fancybox").fancybox({
				overlayColor	: '#020202',
				padding	: 5,
			    	helpers : {
    				title : {
	    			type : 'inside'
			    		},
				//media : {},
				//thumbs : {
				//		width  : 50,
				//		height : 50
				//	}
			    	},

				afterLoad : function() {
					this.title = 'Фото ' + (this.index + 1) + ' из ' + this.group.length + (this.title ? '<br/>' + this.title : '') +
				(document.getElementById(this.title+"_desc").innerHTML ? '<hr/>' + document.getElementById(this.title+"_desc").innerHTML:"");
				}

				});

				$(".textfile").fancybox({
				maxWidth	: 800,
				maxHeight	: 600,
				fitToView	: false,
				width		: '70%',
				height		: '70%',
				autoSize	: false,
				closeClick	: false,
			    	helpers :{
    				title : {
	    			type : 'inside'
			    	}
				},
				afterLoad : function() {
					this.title = (this.title ? '<br/><b>' + this.title + "</b>" : '') +
				(document.getElementById(this.title+"_desc").innerHTML ? '<hr/>' + document.getElementById(this.title+"_desc").innerHTML:"");
				}

		});
	});
</script>
</head>
<body>
<%
$dir = ".";
$counter = 0; //Счётчик выведенных файлов/папок

//Чтение списка папок {
$folders = array();
foreach (scandir($dir) as $file) $folders[$file] = "$dir/$file";
asort($folders);
$folders = array_keys($folders);
//Чтение списка папок }

//Чтение списка файлов {
$files = array();
if($sortfby[0]=="date")
{foreach (scandir($dir) as $file) $files[$file] = filemtime("$dir/$file");}
else
if($sortfby[0]=="name")
{foreach (scandir($dir) as $file) $files[$file] = "$dir/$file";}
//Чтение списка файлоы }

//Сортировка списка файлов {
if($sortfby[1]=="desc")
arsort($files);
else
asort($files);
$files = array_keys($files);
//Сортировка списка файлов }

//Чистка старых эскизов {
$thumbs = array();
$dirthumbs = "./_Thumbs";
foreach (scandir($dirthumbs) as $file) $thumbs[$file] = "$dirthumbs/$file";
$thumbs = array_keys($thumbs);
for($i=0; $i<count($thumbs);$i++)
if(!file_exists($thumbs[$i]))
{
unlink("_Thumbs/".$thumbs[$i]);
}
//Чистка от старых эскизов }


%>
<div style="text-align: center">
				<em><span style="font-size: xx-large"><%echo ( ($_SERVER['REQUEST_URI']==$Photosfolder) ? $PageTitle : urldecode(basename($_SERVER['REQUEST_URI'])));%><br>
				</span><span lang="ru" style="font-size: small"><a href="../">
				<span style="color: #000080"><img src="/sysimage/icons/UPALEVEL.GIF" border="0">Вернуться назад</span></a></span></em>
<div style="width:100%;display: block;float:left;margin: 25;">
<%
for($i=0; $i<count($folders);$i++)
if(is_dir($folders[$i])=="true")
if(($folders[$i]!=".")&&($folders[$i]!="..")&&($folders[$i]!="_img")&&($folders[$i]!="js")&&($folders[$i]!="_Thumbs"))
{
if(!file_exists($folders[$i]."/index.php"))
{
$source = utf2fs("<%require_once \"".$PhotosPath."index.php\";%>");
$Saved_File = fopen($folders[$i]."/index.php", 'a+');
fwrite($Saved_File, $source);
fclose($Saved_File);
}

$showname = fs2utf($folders[$i]);
if($filedescription!="none")
for($j=0; $j<count($filedescription); $j++)
{
$desc01 = explode("|", $filedescription[$j]);
if($folders[$i]==$desc01[0])
$showname = iconv("Windows-1251","UTF-8", $desc01[1]);
}
%>
<div style="float: left; width: 150px; height: 150px;">
<%
echo "<center><a href=\"".fs2utf($folders[$i]).
"\"><img border=0 alt=\"".fs2utf($folders[$i])."\" src=\"".$Photosfolder."_img/folder.png".
"\"></a><br><i><u><small>".$showname."</small></u></i></center>\n";
$counter++;
%>
</div>
<%
}


for($i=0; $i<count($files);$i++)
{
if((strstr($files[$i], ".jpg"))||(strstr($files[$i], ".JPG"))
||(strstr($files[$i], ".jpeg"))||(strstr($files[$i], ".JPEG"))
||(strstr($files[$i], ".png"))||(strstr($files[$i], ".PNG"))
||(strstr($files[$i], ".gif"))||(strstr($files[$i], ".GIF")))
{
%>
<div style="float: left; width: 150px; height: 150px;">
<%
if(!file_exists("_Thumbs/".$files[$i]))
{
if((strstr($files[$i], ".jpg"))||(strstr($files[$i], ".JPG"))||(strstr($files[$i], ".jpeg"))||(strstr($files[$i], ".JPEG")))
img_resize_100($files[$i], "_Thumbs/".$files[$i], 100);
if((strstr($files[$i], ".png"))||(strstr($files[$i], ".PNG")))
img_resize_100_png($files[$i], "_Thumbs/".$files[$i], 100);
if((strstr($files[$i], ".gif"))||(strstr($files[$i], ".GIF")))
img_resize_100_gif($files[$i], "_Thumbs/".$files[$i], 100);
}

echo "<center><a class=\"fancybox\" rel=\"photoalboom\" title=\"".preg_replace("/.png|.jpg|.gif|.jpeg/i","", fs2utf($files[$i]))."\" href=\"".fs2utf($files[$i]).
"\"><img style=\"border-color:silver; background-color:silver\" border=1 alt=\"".fs2utf($files[$i])."\" src=\"_Thumbs/".fs2utf($files[$i]).
"\"></a><br><i><u><small>".fs2utf($files[$i]).
"</small></u></i></center>\n<div id=\"".preg_replace("/.png|.jpg|.gif|.jpeg/i","", fs2utf($files[$i]))."_desc\" style=\"display: none;\">".renameform(fs2utf($files[$i]),$AdminIp)."</div>\n";
$counter++;
%>
</div>
<%
}
else if(((strstr($files[$i], ".txt"))||(strstr($files[$i], ".TXT")))
&&
($files[$i]!="_desc.txt")
&&
($files[$i]!="_sortby.txt")
)
{
%>
<div style="float: left; width: 150px; height: 150px;">
<%
echo "<center><a class=\"textfile\" data-fancybox-type=\"iframe\" title=\"".preg_replace("/.txt/i","", fs2utf($files[$i]))."\" href=\"".fs2utf($files[$i]).
"\"><img border=0 alt=\"".fs2utf($files[$i])."\" src=\"".$Photosfolder."_img/text.png".
"\"></a><br><i><u><small>".fs2utf($files[$i]).
"</small></u></i></center>\n<div id=\"".preg_replace("/.txt/i","", fs2utf($files[$i]))."_desc\" style=\"display: none;\">".renameform(fs2utf($files[$i]), $AdminIp)."</div>\n";
$counter++;
%>
</div>
<%
}
else if((strstr($files[$i], ".swf"))||(strstr($files[$i], ".SWF")))
{
%>
<div style="float: left; width: 150px; height: 150px;">
<%
echo "<center><a class=\"textfile\" title=\"".preg_replace("/.swf/i","", fs2utf($files[$i]))."\" href=\"".fs2utf($files[$i]).
"\"><img border=0 alt=\"".fs2utf($files[$i])."\" src=\"".$Photosfolder."_img/swf.png".
"\"></a><br><i><u><small>".fs2utf($files[$i]).
"</small></u></i></center>\n<div id=\"".preg_replace("/.swf/i","", fs2utf($files[$i]))."_desc\" style=\"display: none;\">".renameform(fs2utf($files[$i]), $AdminIp)."</div>\n";
$counter++;
%>
</div>
<%
}
else if((strstr($files[$i], ".zip"))||(strstr($files[$i], ".ZIP")))
{
%>
<div style="float: left; width: 150px; height: 150px;">
<%
echo "<center><a target=\"_blank\" class=\"archive\" title=\"".preg_replace("/.zip/i","", fs2utf($files[$i]))."\" href=\"".fs2utf($files[$i]).
"\"><img border=0 alt=\"".fs2utf($files[$i])."\" src=\"".$Photosfolder."_img/arch.png".
"\"></a><br><i><u><small>".fs2utf($files[$i]).
"</small></u></i></center>\n<div id=\"".preg_replace("/.zip/i","", fs2utf($files[$i]))."_desc\" style=\"display: none;\">".renameform(fs2utf($files[$i]), $AdminIp)."</div>\n";
$counter++;
%>
</div>
<%
}


}
%>

</div>
</div>
<%
if($counter>0)
{
//Выводим количество выведенных элементов - папок, фоток или текстовиков.
//Соблюдаем склонения и ед./мн. числа слова "элемент(ы)" в зависимости от значения числа.
//Ох, как в английском всё просто: никаких склонений не нужно, а с числом ещё проще :)
$counter_one = $counter%10;//Разряд единиц
$counter_ten = $counter%100-$counter%10;//разряд десятков
$counter_hng = $counter_ten + $counter_one;//сумма разрядов десятков и единиц
echo "<p><br>Всего ".$counter." элемент".( ((($counter_hng>10)&&($counter_hng<20))||(($counter_one>4)||($counter_one<1)))?"ов":(($counter_one==1)?"":"а"))."</p>";
}
else
{
%>
<center>
<table style="text-align: center; width: 100%; vertical-align: middle; display: inline; ">
<tr><td style="padding-top: 150px">
<img src=<%echo $Photosfolder."_img/magnifier.png";%>><br>
<span style="font-size: x-large">Папка пустая</span>
</td></tr>
</table>
</center>
<%
}
%>

</body>
</html>